Bug 541572 - Cannot duplex when using "A4" page size
Summary: Cannot duplex when using "A4" page size
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-26 11:42 UTC by Tim Waugh
Modified: 2010-02-05 01:32 UTC (History)
2 users (show)

Fixed In Version: 3.9.8-28.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-05 01:20:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 487695 None None None Never

Description Tim Waugh 2009-11-26 11:42:02 UTC
Description of problem:
HPLIP's hpcups driver provides two page size options for each page size, to reflect the different imageable areas possible when duplexing and when not.  Due to PPD constraints it is impossible to select duplexing options when using a page size for no-duplex is selected.

The duplex-capable page sizes are "special": they have keywords like A4.Duplex and names like "A4 AutoDuplex".  The "normal" page sizes are non-duplex and conflict with the duplex option.

This causes several problems:

1. CUPS selects an inappropriate default page size when a new queue is created, as it looks for "A4" or "Letter" depending on the system locale.
2. It is mysteriously not possible to select duplexing options, and it is not easily discoverable to the user why that might be.
3. Printing from gedit cannot be duplexed (see bug #538133).
4. Printing from OpenOffice.org cannot be duplexed (see bug #540995).

Comment 1 Fedora Update System 2009-11-26 15:45:24 UTC
hplip-3.9.8-21.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/hplip-3.9.8-21.fc11

Comment 2 Fedora Update System 2009-11-26 15:46:31 UTC
hplip-3.9.8-24.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/hplip-3.9.8-24.fc12

Comment 3 Fedora Update System 2009-11-27 21:42:43 UTC
hplip-3.9.8-21.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12227

Comment 4 Fedora Update System 2009-11-27 21:51:14 UTC
hplip-3.9.8-24.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12253

Comment 5 Fedora Update System 2009-12-11 18:14:32 UTC
hplip-3.9.8-25.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12253

Comment 6 Fedora Update System 2009-12-11 18:29:03 UTC
hplip-3.9.8-22.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12227

Comment 7 Fedora Update System 2010-01-07 00:53:45 UTC
hplip-3.9.8-23.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12227

Comment 8 Fedora Update System 2010-01-07 00:54:02 UTC
hplip-3.9.8-26.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12253

Comment 9 Fedora Update System 2010-01-14 01:19:05 UTC
hplip-3.9.8-27.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12253

Comment 10 Fedora Update System 2010-01-14 01:23:43 UTC
hplip-3.9.8-24.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12227

Comment 11 Fedora Update System 2010-01-22 22:40:38 UTC
hplip-3.9.8-25.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12227

Comment 12 Fedora Update System 2010-01-22 22:42:36 UTC
hplip-3.9.8-28.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12253

Comment 13 Fedora Update System 2010-02-05 01:20:37 UTC
hplip-3.9.8-25.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-02-05 01:32:38 UTC
hplip-3.9.8-28.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.